samedi 26 mai 2012

 

INSTALLER OPENERP 6.1.1.1 SUR UBUNTU 12.04

1 installer les dépendances:

>sudo apt-get install python-dateutil python-feedparser python-gdata python-ldap python-libxslt1 python-lxml python-mako python-openid python-psycopg2 python-pybabel python-pychart python-pydot python-pyparsing python-reportlab python-simplejson python-tz python-vatnumber python-vobject python-webdav python-werkzeug python-xlwt python-yaml python-zsi


2 créer l 'utilisateur openerp qui va démarrer openerp (ou choisir l 'utlisateur qui démarre ubuntu )

>sudo adduser --system --home=/opt/openerp --group openerp

3 Installer et configurer la base de donnée Postgresql:

>sudo apt-get install postgresql

créer l 'utilisateur qui à les droits de créer et supprimer les db

>su postgres

>createuser openerp

>yes

>psql -l

>psql template1

>alter role openerp with password 'openerp';

>\q

>exit

4 installer une version plus récente de werkzeug


>sudo apt-get install python-pip

désinstaller la version werkzeugubuntu

>sudo apt-get remove python-werkzeug

installer une version plus récente

>sudo pip install werkzeug

5 télécharger la derniére version disponible de openerp

>cd /opt/openerp

wget http://nightly.openerp.com/6.1/releases/openerp_6.1-1-1.tar.gz

décompresser l archive 

sudo tar xvf openerp_6.1-1-1.tar.gz

donnez les droits à openerp les droits sur les fichiers

>sudo chown -R openerp: *


6 Démarrer openerp avec l  utilisateur openerp (ou celui avec lequel vous démarrez ubuntu )



cd openerp-6.1-1/

./openerp-server


allez sur http://localhost:8069 et créer votre db de test

enjoy

Commentaires:
Salut,

La première impression passée,j'ai essayer d'installer openERP sur ubuntu 10.04 et j'ai toujour le meme probleme :

>./openerp-server
Running as user 'root' is a security risk, aborting.
 
Bonjour, J'ai suivi vos instructions et ça marche, je vous remercie.
 
Salut,
J'ai suivi les instructions dans ce lien http://open-01.blogspot.com/ et ça marche pour openerp 6.1.1 sur ubuntu 10.04 LTS , je vous remercie.
 
bonjour tout le monde !!
a la premiere etape d'instalation ça me met comme message "Impossible de trouver le paquet python""
merci de m'indiquer ou je pourrai trouver tous les paquet python a avoir pour terminer l'instalation d'openerp !
bonne journée a tous
 
Enregistrer un commentaire

Abonnement Publier les commentaires [Atom]





<< Accueil

This page is powered by Blogger. Isn't yours?

Abonnement Articles [Atom]